Summary: A way to more safely re-load firewall rules remotely
Name: fwrestart
Version: 1.08
Release: 12%{?dist}
License: GPLv2
Group: Applications/System
URL: http://www.tummy.com/Community/software/
Source: ftp://ftp.tummy.com/pub/tummy/fwrestart/fwrestart-%{version}.tar.gz
BuildRequires: python2
BuildArch: noarch

%description
This program can automatically detect when changes to the firewall block
the administrative shell session, and to take corrective action

fwrestart uses terminal auto-response codes to safely re-start firewall
rules over a remote shell session.  It sends a request to your terminal
(xterm, for example), which responds back automatically.  When that
response is received, ensuring that fwrestart can communicate with the
terminal, fwrestart then issues a command to restart the firewall.
It then tries another request to the terminal, and if that is not
received within 5 seconds, a command is run to clear the firewall and
an appropriate error is generated.

%prep
%setup
%build

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"/usr/sbin
mkdir -p "$RPM_BUILD_ROOT"/usr/share/man/man8
#  copy over files
cp fwrestart "$RPM_BUILD_ROOT"/usr/sbin
cp fwrestart.man "$RPM_BUILD_ROOT"/usr/share/man/man8/fwrestart.8

%files
%doc README LICENSE
%{_mandir}/man8/fwrestart.8.gz
%defattr(755,root,root)
%{_sbindir}/fwrestart

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.08-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 01 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.08-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.08-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.08-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.08-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.08-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Feb 19 2012 Kevin Fenzi <kevin@scrye.com> - 1.08-1
- Update to upstream 1.08

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep  4 2007 Kevin Fenzi <kevin@tummy.com> - 1.05-1
- Update to 1.0.5
- Clarify License

* Sun Aug 27 2006 Kevin Fenzi <kevin@tummy.com> - 1.04-2
- Rebuild for fc6 

* Mon May  8 2006 Kevin Fenzi <kevin@tummy.com> - 1.04-1
- Update to 1.04

* Mon Nov 14 2005 Kevin Fenzi <kevin@tummy.com> - 1.03-1.fc5
- Update to 1.03

* Tue Sep 27 2005 Kevin Fenzi <kevin@tummy.com> - 1.01-4.fc5
- add dist to release

* Thu Sep 22 2005 Kevin Fenzi <kevin@tummy.com> - 1.01-3
- A few more tweaks to clean up issues and re-submit to extras

* Thu May 26 2005 Kevin Fenzi <kevin@tummy.com> - 1.01-2
- Changed a number of items to match Fedora extras guidelines

